summaryrefslogtreecommitdiff
path: root/dev-python/pytest-asyncio
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-08-19 20:57:12 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-08-19 20:57:12 +0000
commitdceb2d4b615c2300017aa284ad1a2c1ee5764f44 (patch)
tree6143857aba9c8951f209e84e359bc38b6c133265 /dev-python/pytest-asyncio
parent54dc1fa03108b68ccdb0f9dbc8f627cd51a4b09e (diff)
downloadbaldeagleos-repo-dceb2d4b615c2300017aa284ad1a2c1ee5764f44.tar.gz
baldeagleos-repo-dceb2d4b615c2300017aa284ad1a2c1ee5764f44.tar.xz
baldeagleos-repo-dceb2d4b615c2300017aa284ad1a2c1ee5764f44.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-asyncio')
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-0.26.0.ebuild8
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-1.0.0.ebuild8
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-1.1.0.ebuild8
3 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.26.0.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-0.26.0.ebuild
index ffddd8a80c5c..090866164ab2 100644
--- a/dev-python/pytest-asyncio/pytest-asyncio-0.26.0.ebuild
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.26.0.ebuild
@@ -31,6 +31,14 @@ BDEPEND="
EPYTEST_XDIST=1
distutils_enable_tests pytest
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # redundant, and breaking setuptools-scm >= 1.2.0
+ # https://github.com/pypa/setuptools-scm/issues/1216
+ rm setup.cfg || die
+}
+
python_test() {
local EPYTEST_DESELECT=(
# rely on precise warning counts
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-1.0.0.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-1.0.0.ebuild
index ad773e146839..5b3429ea01bb 100644
--- a/dev-python/pytest-asyncio/pytest-asyncio-1.0.0.ebuild
+++ b/dev-python/pytest-asyncio/pytest-asyncio-1.0.0.ebuild
@@ -30,6 +30,14 @@ EPYTEST_PLUGIN_LOAD_VIA_ENV=1
EPYTEST_XDIST=1
distutils_enable_tests pytest
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # redundant, and breaking setuptools-scm >= 1.2.0
+ # https://github.com/pypa/setuptools-scm/issues/1216
+ rm setup.cfg || die
+}
+
python_test() {
local EPYTEST_DESELECT=(
# fail due to mismatched warning count
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-1.1.0.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-1.1.0.ebuild
index eed31775d8bc..20c36a7b816a 100644
--- a/dev-python/pytest-asyncio/pytest-asyncio-1.1.0.ebuild
+++ b/dev-python/pytest-asyncio/pytest-asyncio-1.1.0.ebuild
@@ -36,3 +36,11 @@ EPYTEST_DESELECT=(
tests/test_event_loop_fixture.py::test_event_loop_fixture_asyncgen_error
tests/test_event_loop_fixture.py::test_event_loop_fixture_handles_unclosed_async_gen
)
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # redundant, and breaking setuptools-scm >= 1.2.0
+ # https://github.com/pypa/setuptools-scm/issues/1216
+ rm setup.cfg || die
+}